Bug 247827 - sysutils/openzfs: Fails to build: libshare.c:31:10: fatal error: 'libintl.h' file not found
Summary: sysutils/openzfs: Fails to build: libshare.c:31:10: fatal error: 'libintl.h' ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ryan Moeller
URL:
Keywords: needs-qa, regression
Depends on:
Blocks:
 
Reported: 2020-07-07 15:46 UTC by Tomohiro Hosaka
Modified: 2020-07-11 18:55 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (freqlabs)


Attachments
poudriere log (110.61 KB, text/plain)
2020-07-08 05:03 UTC, Tomohiro Hosaka
no flags Details
Bump openzfs*, gettext-runtime:run -> gettext-runtime (168.64 KB, patch)
2020-07-11 15:44 UTC, Ryan Moeller
freqlabs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2020-07-07 15:46:52 UTC
I reported on https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241760#c2 , but it's not fixed.

Fails on branches/2020Q3.

It fails if /usr/local/etc/poudriere.d/local-2020Q3-make.conf has OPTIONS_UNSET=NLS.

Wouldn't explicitly need USES+=gettext-runtime?
Comment 1 Ryan Moeller freebsd_committer 2020-07-07 15:52:31 UTC
Ok thank you, I was not aware of this issue. I will fix the options next time I update the port.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-08 02:04:00 UTC
@Tomohiro Does the port in latest fail in the same mannner?
Comment 3 Tomohiro Hosaka 2020-07-08 05:03:04 UTC
Created attachment 216309 [details]
poudriere log

Yes.

Any of the following failed.
branches/2020Q2
branches/2020Q3
master

Attach the log for master.

# cat /usr/local/etc/poudriere.d/local-master-make.conf
OPTIONS_UNSET=NLS

# git -C /usr/local/poudriere/ports/local-master log -1
commit b1850ef1d412529db13ce86e12d7204f005a61a7 (HEAD -> master, origin/master, origin/HEAD)
Author: madpilot <madpilot@FreeBSD.org>
Date:   Mon Jul 6 20:14:21 2020 +0000

    Extend expiration date.
    
    Approved by:    portmgr (rene)

# poudriere bulk -j 121amd64 -p local-master -C sysutils/openzfs
Comment 4 Ryan Moeller freebsd_committer 2020-07-11 15:44:13 UTC
Created attachment 216381 [details]
Bump openzfs*, gettext-runtime:run -> gettext-runtime

Here is the patch to bump the port and fix the gettext-runtime dependency. Just looking for a ports approval now.
Comment 5 commit-hook freebsd_committer 2020-07-11 17:25:49 UTC
A commit references this bug:

Author: zeising
Date: Sat Jul 11 17:25:28 UTC 2020
New revision: 541997
URL: https://svnweb.freebsd.org/changeset/ports/541997

Log:
  sysutils/openzfs: update snapshot

  Update sysutils/openzfs to a more recent snapshot [0]
  Unbreak when NLS is unset. [1]

  PR:		247827 [1]
  Submitted by:	freqlabs
  Reported by:	Tomohiro Hosaka [1]

Changes:
  head/sysutils/openzfs/Makefile
  head/sysutils/openzfs/distinfo
  head/sysutils/openzfs/pkg-plist
Comment 6 commit-hook freebsd_committer 2020-07-11 17:26:50 UTC
A commit references this bug:

Author: zeising
Date: Sat Jul 11 17:26:30 UTC 2020
New revision: 541998
URL: https://svnweb.freebsd.org/changeset/ports/541998

Log:
  sysutils/openzfs-kmod: Update snapshot

  Update snapshot of sysutls/openzfs-kmod.

  PR:		247827
  Submitted by:	freqlabs

Changes:
  head/sysutils/openzfs-kmod/Makefile
  head/sysutils/openzfs-kmod/distinfo
Comment 7 Ryan Moeller freebsd_committer 2020-07-11 18:01:01 UTC
@Tomohiro let me know if this works now :)
Comment 8 Tomohiro Hosaka 2020-07-11 18:36:39 UTC
”poudriere bulk -j 121amd64 -p local-master sysutils/openzfs” was successful. Thank you!